> For the complete documentation index, see [llms.txt](https://docs.postgresql.tw/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.postgresql.tw/15/appendixes/additional-supplied-modules/old_snapshot.md).

# F.24. old\_snapshot

## F.24. old\_snapshot

[F.24.1. 函式](#id-1.11.7.33.4)

`old_snapshot` 模組可檢視伺服器用來實作 [old\_snapshot\_threshold](/15/server-administration/server-configuration/resource-consumption.md#GUC-OLD-SNAPSHOT-THRESHOLD) 的狀態。

### F.24.1. 函式

`pg_old_snapshot_time_mapping(array_offset OUT int4, end_timestamp OUT timestamptz, newest_xmin OUT xid) returns setof record`

傳回伺服器時間戳記至 XID 對應中的所有項目。每個項目代表相應分鐘內所取得任何快照的最新 xmin。

***

原文：[PostgreSQL 15.19 Documentation](https://www.postgresql.org/docs/15/old-snapshot.html)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.postgresql.tw/15/appendixes/additional-supplied-modules/old_snapshot.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
